@echo off
For %%d In ('' 'a' 'b' 'A' 'B') Do If '%1'==%%d Goto SHOWHELP
For %%d In ('a' 'b' 'A' 'B') Do If '%2'==%%d Goto SHOWHELP
For %%d In (c d e f g h i j k l m n o p q r s t u v w x y z) Do If %1==%%d Goto CONT1
For %%d In (C D E F G H I J K L M N O P Q R S T U V W X Y Z) Do If %1==%%d Goto CONT1
goto SHOWHELP
:CONT1
set t=%1:
If '%2' == '' goto SETWIN
For %%d In (c d e f g h i j k l m n o p q r s t u v w x y z) Do If %2==%%d Goto CONT2
For %%d In (C D E F G H I J K L M N O P Q R S T U V W X Y Z) Do If %2==%%d Goto CONT2
goto SHOWHELP
:CONT2
set w=%2:
goto CONT3
:SETWIN
set w=%1:
:CONT3
@echo.
@echo Revised modules will be installed to:
@echo.
@echo  OS/2. . . . . . . . drive %t%
@echo  WIN-OS2 . . . . . . drive %w%
@echo.
@pause
copy ptfinst.cmd %t%\      1>NUL 2>NUL
if errorlevel 1 goto SHOWHELP
%t%\ptfinst.cmd %t% %w%
goto end

:SHOWHELP
@ECHO.
@ECHO Please assign the target drive for CSD installation
@ECHO.
@ECHO      Ex : CSD C      Install OS/2 and WIN-OS2 to drive C
@ECHO           CSD C D    Install OS/2 to drive C and WIN-OS2 to drive D
@ECHO.

:end
